#!/bin/bash

set -e

PODMAN_BIN="/usr/bin/podman"
DOCKER_BIN="/usr/local/bin/docker-static"

if [[ "$1" == "manifest" ]]; then
  $DOCKER_BIN $*
elif [[ "$1" == "buildx" ]] && [[ "$2" == "imagetools" ]]; then
  $DOCKER_BIN $*
elif [[ "$1" == "login" ]]; then
  $DOCKER_BIN $*
  $PODMAN_BIN $*
else
  $PODMAN_BIN $*
fi
